﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamRibbonDataChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
    public class TestData
        : ObservableCollection<TestDataItem>
    {
        public TestData()
        {
            DateTime dt = DateTime.Now;
            for (int i = 0; i <= 100; i++)
            {
                Add(new TestDataItem()
                {
                    //Date = DateTime.Now.AddMilliseconds(-i),
                    Date = dt.AddTicks(-i * 10),
                    Value = 100 - i
                });
            }
        }
    }

    public class TestDataItem
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
    }  

}
